Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.chat
Class GameDelegate

    java.lang.Object
      |
      +--org.jbrain.qlink.chat.GameDelegate

public class GameDelegate
extends java.lang.Object

Constructor Summary
`GameDelegate(RoomDelegate room, int id, java.lang.String name, java.lang.String type, boolean systemPickOrder)`

Method Summary
`void` | `acceptInvite(QSeat seat)`
`void` | `acceptRestart(QSeat seat)`
`void` | `addListener(GameEventListener listener)`
`boolean` | `addPlayer(org.jbrain.qlink.user.QHandle handle)`
`boolean` | `canContinue()`
`void` | `clearVotes()`
`void` | `declineInvite(QSeat seat)`
`void` | `declineRestart(QSeat seat)`
`java.util.List` | `getAbstainList()`
`java.util.List` | `getGameLog()`
`int` | `getID()`
`java.lang.String` | `getName()`
`SeatInfo[]` | `getPlayers()`
`byte[]` | `getPlayOrder()`
`java.lang.String` | `getType()`
`boolean` | `isActive()`
`boolean` | `isSystemPickingOrder()`
`void` | `leave(QSeat seat)`
`protected void` | `processEvent(RoomEvent event)`
`protected void` | `processGameCommEvent(GameCommEvent event)`
`protected void` | `processGameEvent(GameEvent event)`
`protected void` | `processGameTerminationEvent(GameTerminationEvent event)`
`protected void` | `processStartGameEvent(StartGameEvent event)`
`void` | `readyToStart(QSeat seat)`
`void` | `removeListener(GameEventListener listener)`
`void` | `requestLoad(QSeat seat)`
`void` | `requestRestart(QSeat seat)`
`void` | `restart(QSeat seat)`
`void` | `send(QSeat seat, java.lang.String text)`
`void` | `start(QSeat seat)`
`void` | `terminate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GameDelegate

    public GameDelegate(RoomDelegate room,
                        int id,
                        java.lang.String name,
                        java.lang.String type,
                        boolean systemPickOrder)

Parameters:
  `name` -
  `type` -
  `systemPickOrder` -

Method Detail

### addPlayer

    public boolean addPlayer(org.jbrain.qlink.user.QHandle handle)
                      throws UserNotInRoomException

  Throws:
    `UserMismatchException`
    `UserNotInRoomException`

### getPlayOrder

    public byte[] getPlayOrder()

  Returns:

### getPlayers

    public SeatInfo[] getPlayers()

  Returns:

### acceptInvite

    public void acceptInvite(QSeat seat)

### declineInvite

    public void declineInvite(QSeat seat)

### canContinue

    public boolean canContinue()

### getType

    public java.lang.String getType()

  Returns:

### isSystemPickingOrder

    public boolean isSystemPickingOrder()

  Returns:

### getName

    public java.lang.String getName()

  Returns:

### getID

    public int getID()

  Returns:

### terminate

    public void terminate()

### addListener

    public void addListener(GameEventListener listener)

### removeListener

    public void removeListener(GameEventListener listener)

  Parameters:
    `listener` -

### send

    public void send(QSeat seat,
                     java.lang.String text)

  Parameters:
    `seat` -
    `text` -

### requestLoad

    public void requestLoad(QSeat seat)

  Parameters:
    `seat` -

### readyToStart

    public void readyToStart(QSeat seat)

### requestRestart

    public void requestRestart(QSeat seat)

### clearVotes

    public void clearVotes()

### acceptRestart

    public void acceptRestart(QSeat seat)

  Parameters:
    `seat` -

### getAbstainList

    public java.util.List getAbstainList()

  Returns:

### leave

    public void leave(QSeat seat)

### restart

    public void restart(QSeat seat)

  Parameters:
    `seat` -

### isActive

    public boolean isActive()

  Returns:

### start

    public void start(QSeat seat)

### declineRestart

    public void declineRestart(QSeat seat)

  Parameters:
    `seat` -

### getGameLog

    public java.util.List getGameLog()

### processGameCommEvent

    protected void processGameCommEvent(GameCommEvent event)

  Parameters:
    `event` -

### processStartGameEvent

    protected void processStartGameEvent(StartGameEvent event)

### processGameEvent

    protected void processGameEvent(GameEvent event)

### processGameTerminationEvent

    protected void processGameTerminationEvent(GameTerminationEvent event)

### processEvent

    protected void processEvent(RoomEvent event)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD